package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicFireDisasterDegree {
    public static final String GENERALDEGREE = "一般事故";
    public static final String MOREDEGREE = "较大事故";
    public static final String BADDEGREE = "重大事故";
    public static final String SERIOUSDEGREE = "特大事故";


    private static DicFireDisasterDegree instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicFireDisasterDegree(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(GENERALDEGREE, GENERALDEGREE);
        dicMap.put(MOREDEGREE, MOREDEGREE);
        dicMap.put(BADDEGREE, BADDEGREE);
        dicMap.put(SERIOUSDEGREE, SERIOUSDEGREE);
    }

    public static DicFireDisasterDegree getInstacne(){
        if (instance == null)
        {
            instance = new DicFireDisasterDegree();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
